<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_161) on Fri Nov 23 22:08:06 CET 2018 -->
<title>Uses of Class fr.epita.quiz.services.web.api.transport.MCQChoiceMessage</title>
<meta name="date" content="2018-11-23">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class fr.epita.quiz.services.web.api.transport.MCQChoiceMessage";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?fr/epita/quiz/services/web/api/transport/class-use/MCQChoiceMessage.html" target="_top">Frames</a></li>
<li><a href="MCQChoiceMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class fr.epita.quiz.services.web.api.transport.MCQChoiceMessage" class="title">Uses of Class<br>fr.epita.quiz.services.web.api.transport.MCQChoiceMessage</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.epita.quiz.services.web.api.transport">fr.epita.quiz.services.web.api.transport</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.epita.quiz.services.web.api.transport">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a> in <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/package-summary.html">fr.epita.quiz.services.web.api.transport</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/package-summary.html">fr.epita.quiz.services.web.api.transport</a> that return types with arguments of type <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">QuestionMessage.</span><code><span class="memberNameLink"><a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/QuestionMessage.html#getMcqChoices--">getMcqChoices</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/package-summary.html">fr.epita.quiz.services.web.api.transport</a> with type arguments of type <a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">QuestionMessage.</span><code><span class="memberNameLink"><a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/QuestionMessage.html#setMcqChoices-java.util.List-">setMcqChoices</a></span>(java.util.List&lt;<a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">MCQChoiceMessage</a>&gt;&nbsp;mcqChoices)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../fr/epita/quiz/services/web/api/transport/MCQChoiceMessage.html" title="class in fr.epita.quiz.services.web.api.transport">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?fr/epita/quiz/services/web/api/transport/class-use/MCQChoiceMessage.html" target="_top">Frames</a></li>
<li><a href="MCQChoiceMessage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
